package cn.pluss.platform.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import cn.pluss.platform.entity.UserInfo;
import cn.pluss.platform.vo.UserInfoVO;

@Mapper
public interface UserInfoMapper extends BaseMapper<UserInfo> {

    /**
     * 获取主商户的用户信息
     * @param id    用户id
     * @return      主商户的用户信息
     */
    UserInfo selectMainUserInfo(Long id);

    /**
     * @description:取主商户和子商户信息
     * @date: 2021/9/23 15:43
     * @return java.util.List<cn.pluss.platform.entity.UserInfo>
     */
    List<UserInfoVO> selectMainUserInfoList(String userAppId);

    UserInfo queryUserInfo(UserInfo userInfo);

    List<UserInfo> queryUserInfoList(UserInfo userInfo);

    Integer saveUserInfo(UserInfo userInfo);

    void updateUserInfo(UserInfo userInfo);

    void deleteUserInfo(UserInfo userInfo);

    List<UserInfo> queryUserInfoPage(Map map);
    
    List<UserInfoVO> queryUserInfoVOPage(Map map);
    
    Integer queryUserInfoVOPageCount(Map map);

    Integer queryUserInfoPageCount(Map map);

    void saveUserInfoBatch(List<UserInfo> userInfoList);
    
    List<UserInfo>  queryUserInfoListLikeByPhone(UserInfo userInfo);
}

